var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();

// Test: http://localhost:5122
app.MapGet("/", () => "This is a GET");

// Test: http://localhost:5122/pow?number=5
app.MapGet("/pow", (int number) => {
    return number*number;
});

// Test: http://localhost:5122/add?a=5&b=7
app.MapGet("/add", (int a, int b) => {
    return a+b;
});


// Test: http://localhost:5122/hello?name=Skywalker
app.MapGet("/hello", (string name) => {
   return $"Hello {name}";
});

app.MapPost("/", () => "This is a POST");
app.MapPut("/", () => "This is a PUT");
app.MapDelete("/", () => "This is a DELETE"); 
app.MapMethods("/options-or-head", new[] { "OPTIONS", "HEAD" }, () => "This is an options or head request ");

app.Run();
